Store a user-provided secret value and return share metadata including a secret link for the recipient and a receipt link for the creator. The secret can only be retrieved once before it is permanently destroyed.
Responses
-
Successful response
-
Bad Request - Invalid request parameters or body
-
Unauthorized - Authentication required
-
Forbidden - Insufficient permissions
-
Not Found - Resource does not exist
-
Unprocessable Entity - Validation failed
-
Too Many Requests - Rate limit exceeded
-
Internal Server Error - Something went wrong
POST
/api/v3/secret/conceal
curl \
--request POST 'https://uk.onetimesecret.com/api/v3/secret/conceal' \
--cookie "rack.session=$API_KEY" \
--header "Content-Type: application/json" \
--data '{"secret":{"kind":"conceal","share_domain":"string","recipient":"string","passphrase":"string","ttl":"string","secret":"string"}}'
Request examples
{
"secret": {
"kind": "conceal",
"share_domain": "string",
"recipient": "string",
"passphrase": "string",
"ttl": "string",
"secret": "string"
}
}
Response examples (200)
{
"user_id": "string",
"shrimp": "",
"record": {
"receipt": {
"identifier": "string",
"key": "string",
"shortid": "string",
"state": "new",
"owner_id": "string",
"created": 42.0,
"updated": 42.0,
"shared": 42.0,
"previewed": 42.0,
"revealed": 42.0,
"burned": 42.0,
"secret_ttl": 42.0,
"receipt_ttl": 42.0,
"lifespan": 42.0,
"secret_shortid": "string",
"secret_identifier": "string",
"recipients": [
"string"
],
"recipient_name": "string",
"share_domain": "string",
"has_passphrase": true,
"is_previewed": true,
"is_revealed": true,
"is_burned": true,
"is_destroyed": true,
"is_expired": true,
"is_orphaned": true,
"memo": "string",
"kind": "generate",
"source": "standard"
},
"secret": {
"identifier": "string",
"key": "string",
"shortid": "string",
"state": "new",
"has_passphrase": true,
"verification": true,
"secret_value": "string",
"is_previewed": true,
"is_revealed": true,
"secret_ttl": 42.0,
"lifespan": 42.0,
"created": 42.0,
"updated": 42.0
},
"share_domain": "string"
},
"details": {}
}
Response examples (400)
{
"error": "string",
"error_type": "string",
"message": "string",
"field": "string",
"error_id": "string",
"request_id": "string"
}
Response examples (401)
{
"error": "string",
"error_type": "string",
"message": "string",
"field": "string",
"error_id": "string",
"request_id": "string"
}
Response examples (403)
{
"error": "string",
"error_type": "string",
"message": "string",
"field": "string",
"error_id": "string",
"request_id": "string"
}
Response examples (404)
{
"error": "string",
"error_type": "string",
"message": "string",
"field": "string",
"error_id": "string",
"request_id": "string"
}
Response examples (422)
{
"error": "string",
"error_type": "string",
"message": "string",
"field": "string",
"error_id": "string",
"request_id": "string"
}
Response examples (429)
{
"error": "string",
"error_type": "string",
"message": "string",
"field": "string",
"error_id": "string",
"request_id": "string"
}
Response examples (500)
{
"error": "string",
"error_type": "string",
"message": "string",
"field": "string",
"error_id": "string",
"request_id": "string"
}